summaryrefslogtreecommitdiff
path: root/app-admin
diff options
context:
space:
mode:
author(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
committer(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
commitf1e95daae05c57d935b00e611c624c5e75cd21ec (patch)
tree4065ab51d9e64882d9001a59ede7d9a4e372a4a6 /app-admin
uploading my overlay ), initial commit
git-svn-id: http://172.18.13.13/svn/sss_overlay@1 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/conky/conky-9999.ebuild142
1 files changed, 142 insertions, 0 deletions
diff --git a/app-admin/conky/conky-9999.ebuild b/app-admin/conky/conky-9999.ebuild
new file mode 100644
index 0000000..a3d35f3
--- /dev/null
+++ b/app-admin/conky/conky-9999.ebuild
@@ -0,0 +1,142 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-admin/conky/conky-1.6.2_pre1355.ebuild,v 1.1 2009/01/01 03:46:14 omp Exp $
+
+inherit eutils git
+# used for epause
+
+DESCRIPTION="An advanced, highly configurable system monitor for X"
+HOMEPAGE="http://conky.sourceforge.net/"
+SRC_URI=""
+
+EGIT_REPO_URI="git://git.omp.am/conky.git"
+EGIT_BOOTSTRAP="./autogen.sh"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS=""
+IUSE="audacious bmpx debug hddtemp ipv6 moc mpd nano-syntax nvidia rss truetype vim-syntax smapi wifi X"
+
+DEPEND_COMMON="
+ virtual/libc
+ X? (
+ x11-libs/libICE
+ x11-libs/libXext
+ x11-libs/libX11
+ x11-libs/libSM
+ x11-libs/libXrender
+ x11-libs/libXdamage
+ x11-libs/libXft
+ truetype? ( >=media-libs/freetype-2 )
+ audacious? ( >=media-sound/audacious-1.4.0 )
+ bmpx? ( media-sound/bmpx
+ >=sys-apps/dbus-0.35
+ )
+ )
+ rss? ( dev-libs/libxml2
+ net-misc/curl
+ )
+ wifi? ( net-wireless/wireless-tools )
+ nvidia? ( media-video/nvidia-settings )
+ !ipv6? ( >=dev-libs/glib-2.0 )"
+RDEPEND="${DEPEND_COMMON}
+ hddtemp? ( app-admin/hddtemp )
+ vim-syntax? ( || ( app-editors/vim
+ app-editors/gvim ) )
+ nano-syntax? ( app-editors/nano )"
+DEPEND="
+ ${DEPEND_COMMON}
+ dev-util/pkgconfig
+ X? (
+ x11-libs/libXt
+ x11-proto/xextproto
+ x11-proto/xproto
+ )"
+
+pkg_setup() {
+ if use audacious; then
+ if has_version '<media-sound/audacious-1.5.0' && ! built_with_use media-sound/audacious dbus; then
+ eerror "media-sound/audacious is not built with dbus USE flag."
+ eerror "Please add 'dbus' to your USE flags, and re-emerge media-sound/audacious."
+ die "media-sound/audacious needs USE=dbus"
+ fi
+ fi
+}
+
+src_unpack() {
+ git_src_unpack
+ cd "${S}"
+}
+
+src_compile() {
+ local mymake
+ if useq ipv6 ; then
+ ewarn "You have the ipv6 USE flag enabled. Please note that using"
+ ewarn "the ipv6 USE flag with Conky disables the port monitor."
+ epause
+ else
+ mymake="MPD_NO_IPV6=noipv6"
+ fi
+ local myconf
+ myconf="--enable-proc-uptime"
+ if useq X; then
+ myconf="${myconf} --enable-x11 --enable-double-buffer --enable-xdamage --enable-own-window"
+ myconf="${myconf} $(use_enable truetype xft)"
+ else
+ myconf="${myconf} --disable-x11 --disable-double-buffer --disable-xdamage --disable-own-window"
+ myconf="${myconf} --disable-xft"
+ fi
+ econf \
+ ${myconf} \
+ $(use_enable audacious) \
+ $(use_enable bmpx) \
+ $(use_enable debug) \
+ $(use_enable hddtemp ) \
+ $(use_enable moc) \
+ $(use_enable mpd) \
+ $(use_enable nvidia) \
+ $(use_enable rss) \
+ $(use_enable smapi) \
+ $(use_enable wifi wlan) \
+ $(use_enable !ipv6 portmon) || die "econf failed"
+ emake ${mymake} || die "compile failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "make install failed"
+ dodoc ChangeLog AUTHORS README
+ dohtml doc/docs.html doc/config_settings.html doc/variables.html
+
+ if use vim-syntax; then
+ insinto /usr/share/vim/vimfiles/ftdetect
+ doins "${S}"/extras/vim/ftdetect/conkyrc.vim
+
+ insinto /usr/share/vim/vimfiles/syntax
+ doins "${S}"/extras/vim/syntax/conkyrc.vim
+ fi
+
+ if use nano-syntax; then
+ insinto /usr/share/nano/
+ doins "${S}"/extras/nano/conky.nanorc
+ fi
+}
+
+pkg_postinst() {
+ elog "You can find the sample configuration file at"
+ elog "/etc/conky/conky.conf. To customize it, copy"
+ elog "/etc/conky/conky.conf to ~/.conkyrc and edit"
+ elog "it to your liking."
+ elog
+ elog "For more info on Conky's new features,"
+ elog "please look at the README and ChangeLog:"
+ elog "/usr/share/doc/${PF}/README.bz2"
+ elog "/usr/share/doc/${PF}/ChangeLog.bz2"
+ elog "There are also pretty html docs available"
+ elog "on Conky's site or in /usr/share/doc/${PF}"
+ elog
+ elog "Also see http://www.gentoo.org/doc/en/conky-howto.xml"
+ elog
+ elog "Vim syntax highlighting for conkyrc now enabled with"
+ elog "USE=vim-syntax, for Nano with USE=nano-syntax"
+ elog
+}